Subject: Re: SoCFPGA ethernet broken

From: Andrew Lunn <[email-masked]>
Date: Fri, 4 Dec 2015 02:10:50 +0100

> > FWIW: My initial patch to address the failure worked with the original DTB.
> 
> Can I ask what patch are you referring to? I was sidetracked for a while
> on this issue, but I still see it failing as of v4.4-rc3. I'll try to
> get back to debugging this.

Hi Dinh

There are two different patches:

https://lkml.org/lkml/2015/10/16/669

and

https://www.mail-archive.com/[email-masked]/msg83183.html

Although the first one works, it keeps searching up and up and up, so
you could in theory put the phy properties a lot higher than the MAC.

The second patch restricts where it looks for the phy properties to
only the MAC. But it does not work. We would like to understand why it
does not work.

     Andrew